We have posted the latest Dynamic Data Preview bits to Code Gallery. You can get them here. Note that you will need Visual Studio 2008 SP1 Beta and/or .NET Framework SP1 Beta installed to run everything.

See this ASP.NET forum post about what has changed.

In other news, I will soon be posting a collection of samples that illustrate a number of extension hooks. Stay tuned ...